com.explodingpixels.macwidgets.plaf

## Class HudComboBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ComboBoxUI
    - - javax.swing.plaf.basic.BasicComboBoxUI
      - - com.explodingpixels.macwidgets.plaf.HudComboBoxUI

-     public class HudComboBoxUI
      extends BasicComboBoxUI

  Creates a Heads Up Display (HUD) style combo box, similar to that seen in various iApps (e.g. iPhoto).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicComboBoxUI

      `BasicComboBoxUI.ComboBoxLayoutManager, BasicComboBoxUI.FocusHandler, BasicComboBoxUI.ItemHandler, BasicComboBoxUI.KeyHandler, BasicComboBoxUI.ListDataHandler, BasicComboBoxUI.PropertyChangeHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI

      `arrowButton, cachedMinimumSize, comboBox, currentValuePane, editor, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, padding, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener, squareButton`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HudComboBoxUI()` Creates a HUD style `ComboBoxUI`.
    `HudComboBoxUI(boolean isDarkColorScheme)` Creates a HUD style `ComboBoxUI`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JButton` | `createArrowButton()`
    `protected LayoutManager` | `createLayoutManager()`
    `protected ComboPopup` | `createPopup()`
    `protected ListCellRenderer` | `createRenderer()`
    `protected Dimension` | `getDefaultSize()`
    `protected Dimension` | `getDisplaySize()`
    `Dimension` | `getMinimumSize(JComponent c)`
    `protected void` | `installComponents()`
    `protected void` | `installDefaults()`
    `protected void` | `installListeners()`
    `void` | `paint(Graphics g, JComponent c)`
    `void` | `paintCurrentValue(Graphics g, Rectangle bounds, boolean hasFocus)`
    `protected void` | `uninstallDefaults()`
    `protected void` | `uninstallListeners()`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI

      `addEditor, configureArrowButton, configureEditor, createEditor, createFocusListener, createItemListener, createKeyListener, createListDataListener, createPropertyChangeListener, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getInsets, getMaximumSize, getPreferredSize, getSizeForComponent, installKeyboardActions, installUI, isFocusTraversable, isNavigationKey, isPopupVisible, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, selectNextPossibleValue, selectPreviousPossibleValue, setPopupVisible, toggleOpenClose, unconfigureArrowButton, unconfigureEditor, uninstallComponents, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HudComboBoxUI

          public HudComboBoxUI()

      Creates a HUD style `ComboBoxUI`.

    - #### HudComboBoxUI

          public HudComboBoxUI(boolean isDarkColorScheme)

      Creates a HUD style `ComboBoxUI`.

  - ### Method Detail

    - #### installDefaults

          protected void installDefaults()

      Overrides:
        `installDefaults` in class `BasicComboBoxUI`

    - #### installListeners

          protected void installListeners()

      Overrides:
        `installListeners` in class `BasicComboBoxUI`

    - #### uninstallListeners

          protected void uninstallListeners()

      Overrides:
        `uninstallListeners` in class `BasicComboBoxUI`

    - #### uninstallDefaults

          protected void uninstallDefaults()

      Overrides:
        `uninstallDefaults` in class `BasicComboBoxUI`

    - #### installComponents

          protected void installComponents()

      Overrides:
        `installComponents` in class `BasicComboBoxUI`

    - #### createArrowButton

          protected JButton createArrowButton()

      Overrides:
        `createArrowButton` in class `BasicComboBoxUI`

    - #### createRenderer

          protected ListCellRenderer createRenderer()

      Overrides:
        `createRenderer` in class `BasicComboBoxUI`

    - #### createPopup

          protected ComboPopup createPopup()

      Overrides:
        `createPopup` in class `BasicComboBoxUI`

    - #### getMinimumSize

          public Dimension getMinimumSize(JComponent c)

      Overrides:
        `getMinimumSize` in class `BasicComboBoxUI`

    - #### getDefaultSize

          protected Dimension getDefaultSize()

      Overrides:
        `getDefaultSize` in class `BasicComboBoxUI`

    - #### paint

          public void paint(Graphics g,
                   JComponent c)

      Overrides:
        `paint` in class `BasicComboBoxUI`

    - #### paintCurrentValue

          public void paintCurrentValue(Graphics g,
                               Rectangle bounds,
                               boolean hasFocus)

      Overrides:
        `paintCurrentValue` in class `BasicComboBoxUI`

    - #### getDisplaySize

          protected Dimension getDisplaySize()

      Overrides:
        `getDisplaySize` in class `BasicComboBoxUI`

    - #### createLayoutManager

          protected LayoutManager createLayoutManager()

      Overrides:
        `createLayoutManager` in class `BasicComboBoxUI`